[ARVADOS-DEV] updated: 8003783f717ecb167a47c11d01f459b43670fd0e
git at public.curoverse.com
git at public.curoverse.com
Fri Aug 28 10:40:42 EDT 2015
Summary of changes:
jenkins/run-tests.sh | 6 ++++++
1 file changed, 6 insertions(+)
via 8003783f717ecb167a47c11d01f459b43670fd0e (commit)
from a3ec6d08fcaa76d3b16906f57eb07bbecafce545 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 8003783f717ecb167a47c11d01f459b43670fd0e
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Fri Aug 28 10:40:06 2015 -0400
Preinstall forked version of libcloud, because nodemanager "pip install" won't
pick it up by default. refs #6507
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index cdff551..e2ae4c5 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -412,6 +412,12 @@ pip freeze 2>/dev/null | egrep ^PyYAML= \
|| pip install PyYAML >/dev/null \
|| fatal "pip install PyYAML failed"
+# Preinstall forked version of libcloud, because nodemanager "pip install"
+# won't pick it up by default.
+pip freeze 2>/dev/null | egrep ^apache-libcloud==0.18.1.dev1 \
+ || pip install --pre --ignore-installed https://github.com/curoverse/libcloud/archive/apache-libcloud-0.18.1.dev1.zip >/dev/null \
+ || fatal "pip install apache-libcloud failed"
+
# If Python 3 is available, set up its virtualenv in $VENV3DIR.
# Otherwise, skip dependent tests.
PYTHON3=$(which python3)
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list